Groovy Documentation

## groovy.util.logging
[Java] Class Commons.CommonsLoggingStrategy

    java.lang.Object
      LogASTTransformation.AbstractLoggingStrategy
          groovy.util.logging.Commons.CommonsLoggingStrategy

    public static class Commons.CommonsLoggingStrategy
    extends AbstractLoggingStrategy

Constructor Summary
`protected Commons.CommonsLoggingStrategy(GroovyClassLoader loader)`

Method Summary
`FieldNode` | `addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName)`
`boolean` | `isLoggingMethod(java.lang.String methodName)`
`Expression` | `wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)`

Constructor Detail

### Commons.CommonsLoggingStrategy

    protected Commons.CommonsLoggingStrategy(GroovyClassLoader loader)

Method Detail

### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName)

### isLoggingMethod

    public boolean isLoggingMethod(java.lang.String methodName)

### wrapLoggingMethodCall

    public Expression wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)

Groovy Documentation